Creates a new user_skill_list object
Request Information
URI Parameters :
None.
Body Parameters :
user_skill_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_skill_list |
user |
Optionally required : user_id, user_code or user must be provided |
| skill_id |
Foreign key to skill |
globally unique identifier |
Optionally required : skill_id, skill_code or skill must be provided |
| skill_code |
Embedded entity "skill" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : skill_id, skill_code or skill must be provided |
| skill |
Embedded entity "skill" using node when adding/updating user_skill_list |
skill |
Optionally required : skill_id, skill_code or skill must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "602cb067-f586-4af2-b306-d27e0bac96b6",
"user_id": "ab2f9585-d166-4943-9a2f-6825614d76ea",
"user_code": "sample string 3",
"user": {
"id": "e902ed96-ea00-4b0c-84cb-d027629af1b3",
"db_language_id": "73b9840f-23ab-43cc-bf59-017d7379145f",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-28T21:48:10.0323112+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "108010d6-eac4-42de-95a4-d837f47f8b21",
"sales_organization": {
"id": "a649050d-2caf-4104-84f4-d220a6d3f590",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "4eff2070-6985-4fee-a0ce-dacf70c302fa",
"db_currency_id": "5d36bb52-3a9b-4d15-a3a1-85cf3b99832f",
"db_language_id": "9eee4620-fada-40a8-bd2d-edd2a707aef0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:48:10.0323112+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "18ba342c-6f67-4835-8c34-7ee95c3b9e9a",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "0ef5337a-7ad8-4108-9f05-bd7d9e1c6745",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-28T21:48:10.0509354+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "21486f25-0241-4eb0-b899-83903800bad2"
},
"skill_id": "88316b1d-1cd9-4c47-9918-ecd842a80add",
"skill_code": "sample string 5",
"skill": {
"id": "23a37ff2-769c-449e-89f0-b2b12af1e12e",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "7c84b00d-b489-40ed-ac57-dfc42c670713",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "a649050d-2caf-4104-84f4-d220a6d3f590",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "4eff2070-6985-4fee-a0ce-dacf70c302fa",
"db_currency_id": "5d36bb52-3a9b-4d15-a3a1-85cf3b99832f",
"db_language_id": "9eee4620-fada-40a8-bd2d-edd2a707aef0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:48:10.0323112+00:00"
},
"modified_dateutc": "2026-10-28T21:48:10.0509354+00:00"
},
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-10-28T21:48:10.0509354+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.